<div class="animated fadeIn">
	<div class="row">
		<div class="col-sm-12">

			<div class="card card-accent-primary">
				<div class="card-header">Select Bms</div>
				<div class="card-body">
					<ngForm>
						<div class="form-group">
							<label for="bmsId">Bms Id<span class="req">*</span></label>
							<input type="text" class="form-control" id="bmsId" [(ngModel)]="fetchBmsId" name="bmsId" placeholder="Enter Bms ID">
						</div>
						<button class="btn btn-primary float-right" (click)="fetchBmsDetails()">
							<button type="button" class="btn btn-primary btn-sm" *ngIf="!isLoading">Fetch details</button>
							<div *ngIf="isLoading">
								<i class="fa fa-spinner fa-spin float-right [spinner]" style="font-size:24px"></i>
							</div>
						</button>
					</ngForm>
				</div>
			</div>

			<div class="card card-accent-primary" *ngIf="bmsInfo.bmsId">
				<div class="card-header">Edit Bms Details</div>
				<div class="card-body">
					<form [formGroup]="bmsForm" (ngSubmit)="onSubmit()">
				        <div class="form-group">
				          <label for="bmsId">Bms</label>
				          <input 
				          	  type="text"
				           	  formControlName="bmsId"
				           	  class="form-control"
				           	  readonly="readonly">
				        </div>

				        <div class="form-group">
				          <label for="softwareVersion">Bms Software Version</label>
				          <input 
				          	  type="text"
				           	  formControlName="softwareVersion"
				           	  class="form-control"
				           	  placeholder="Enter Software Version" 
				           	  >
				           	  <span 
				            *ngIf="!bmsForm.get('softwareVersion').valid && bmsForm.get('softwareVersion').touched"
				                class="help-block">Please enter Bms Software Version!</span>
				        </div>
				        
				        <div class="form-group">
				          <label for="hardwareVersion">Bms Hardware Version</label>
				          <input 
				          	  type="text"
				           	  formControlName="hardwareVersion"
				           	  class="form-control"
				           	  placeholder="Enter Hardware Version" 
				           	  >
				           	  <span 
				            *ngIf="!bmsForm.get('hardwareVersion').valid && bmsForm.get('hardwareVersion').touched"
				                class="help-block">Please enter Bms Hardware Version!</span>
				        </div>

				        <button 
				           class="btn btn-primary"
				           type="submit"
				           [disabled]="bmsForm.invalid" (click)="onSubmit()">Submit</button><br>

      				</form>
            	</div>
        	</div>
        </div>
   </div>
</div>
